Subject: Re: [PATCH v3] help: interpret boolean string values for help.autocorrect

From: Junio C Hamano <[email-masked]>
Date: Fri, 17 Jan 2025 17:12:46 -0800

Junio C Hamano <[email-masked]> writes:

> Jeff King <[email-masked]> writes:
>
>> That's probably OK, though it is a little unlike other bools in that "0"
>> is usually a strict synonym for "false". So we could go the other way,
>> with "0, false, off, no" meaning "show but don't run" and leaving
>> "never" by itself to mean "do nothing".
>
> That's my fault.  Your version makes perfect sense.
>
> Thanks for being extra careful (well, more careful than myself, that
> is).

Now this left the patch in a stuck state, with the latest round v4
still having the "0 and false mean different things" caused by
mistake.  We should do the "0 and usual 'false' all show but don't
run, say 'never' if you want it to be absolute no-op", which is more
natural.

If I find time, I can update further based on v4, but no promises.

Thanks.